Package com.fasterxml.jackson.datatype.jdk8

# Class Jdk8BeanSerializerModifier

java.lang.Object
com.fasterxml.jackson.databind.ser.BeanSerializerModifier
com.fasterxml.jackson.datatype.jdk8.Jdk8BeanSerializerModifier

public class Jdk8BeanSerializerModifier extends com.fasterxml.jackson.databind.ser.BeanSerializerModifier
`BeanSerializerModifier` needed to sneak in handler to exclude "absent" optional values iff handling of "absent as nulls" is enabled.

## Constructor Summary

Constructors
Constructor
Description
`Jdk8BeanSerializerModifier()`

## Method Summary

Modifier and Type
Method
Description
`List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter>`
`changeProperties(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanSerializerModifier

`modifyArraySerializer, modifyCollectionLikeSerializer, modifyCollectionSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, modifySerializer, orderProperties, updateBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jdk8BeanSerializerModifier

public Jdk8BeanSerializerModifier()

## Method Details

### changeProperties

public List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> changeProperties(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

Overrides:
  `changeProperties` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`